System.register(['src/components/halo/lively-halo-item.js'], function (_export, _context) {
  "use strict";

  var HaloItem;
  return {
    setters: [function (_srcComponentsHaloLivelyHaloItemJs) {
      HaloItem = _srcComponentsHaloLivelyHaloItemJs.default;
    }],
    execute: function () {
      const __SystemJSRewritingHack = {};
      _recorder_._src_components_halo_lively_halo_menu_item_js = _recorder_._src_components_halo_lively_halo_menu_item_js || {};
      Object.defineProperty(_recorder_._src_components_halo_lively_halo_menu_item_js, 'HaloItem', {
        get() {
          return HaloItem;
        },

        set(thisIsVererySecretVariableName) {
          HaloItem = thisIsVererySecretVariableName;
          return true;
        },

        enumerable: true,
        configurable: true
      });
      class HaloMenuItem extends HaloItem {

        onClick(evt) {
          var inspectTarget = window.that;
          lively.openContextMenu(document.body, evt, inspectTarget);
          this.hideHalo();
        }
      }

      _export('default', HaloMenuItem);

      Object.defineProperty(_recorder_._src_components_halo_lively_halo_menu_item_js, 'HaloMenuItem', {
        get() {
          return HaloMenuItem;
        },

        set(thisIsVererySecretVariableName) {
          _export('default', HaloMenuItem = thisIsVererySecretVariableName);

          return true;
        },

        enumerable: true,
        configurable: true
      });
    }
  };
});